Public Member Functions | Public Attributes | List of all members
MacWrtProParserInternal::Zone Struct Reference

Internal: a struct used to store a zone. More...

## Public Member Functions
| Zone ()
| ~Zone ()
libmwaw::DebugFile & | ascii ()
| returns the debug file More...

## Public Attributes
int | m_type
| the type : 0(text), 1(graphic) More...
int | m_blockId
| the first block id More...
librevenge::RVNGBinaryData | m_data
| the storage More...
MWAWInputStreamPtr | m_input
| the main input More...
libmwaw::DebugFile | m_asciiFile
| the debug file More...
bool | m_parsed
| true if the zone is sended More...

## Detailed Description

Internal: a struct used to store a zone.

## Constructor & Destructor Documentation

## ◆ Zone()

MacWrtProParserInternal::Zone::Zone | ( |  | ) |
| inline

## ◆ ~Zone()

MacWrtProParserInternal::Zone::~Zone | ( |  | ) |
| inline

## Member Function Documentation

## ◆ ascii()

libmwaw::DebugFile& MacWrtProParserInternal::Zone::ascii | ( |  | ) |
| inline

returns the debug file

Referenced by ~Zone().

## Member Data Documentation

## ◆ m_asciiFile

libmwaw::DebugFile MacWrtProParserInternal::Zone::m_asciiFile

the debug file

Referenced by ascii().

## ◆ m_blockId

int MacWrtProParserInternal::Zone::m_blockId

the first block id

## ◆ m_data

librevenge::RVNGBinaryData MacWrtProParserInternal::Zone::m_data

the storage

## ◆ m_input

MWAWInputStreamPtr MacWrtProParserInternal::Zone::m_input

the main input

Referenced by MacWrtProParserInternal::SubDocument::parse().

## ◆ m_parsed

bool MacWrtProParserInternal::Zone::m_parsed

true if the zone is sended

## ◆ m_type

int MacWrtProParserInternal::Zone::m_type

the type : 0(text), 1(graphic)

The documentation for this struct was generated from the following file:

- MacWrtProParser.cxx